svg#svg(height="80vh" width="100%" xmlns="http://www.w3.org/2000/svg")
  state#state
    transition(duration="250ms")
    property(name="range" min="0" max="100" type="number" initial="0")
      direct(query-selector='#rect' attribute-type='CSS' attribute-name='width' onupdate='$value + "%"')
      direct(query-selector='#text')
      // This is evil, but feasible
      direct#direct1(query-selector='#line' attribute-name='x2' onupdate='(this.myProp || 100) + "%"')
      direct#direct2(query-selector='#line' attribute-name='x1')

  rect#rect(width="0%" height="5%" style="fill:red;")
  line#line(x1="0" y1="7.5%" x2="100%" y2="7.5%" stroke="black")
  text#text(y="15%" height="5%" style="font-size:2em;") Should not be visible

  rect#rect2(y="20%" width="0%" height="5%")
  rect#rect3(y="25%" width="0%" height="5%")
  rect#rect4(y="30%" width="50%" height="5%" style='fill:yellow;')
